# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Linux/Inotify2.pm) perl(Pod/Usage.pm)
# END SourceDeps(oneline)
%define module_name App-rmshit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.4
Release: alt1
Summary: Keep a directory structure clean at all times
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLDRICH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
rmshit was born out of plain rage and frustation, seeing that nobody seems to
care about the XDG specifications, and dumping configuration files, temporary
data and logs straight into $HOME.

Even if you manually delete these files, they will be recreated when the
Application of Sin wants to (when it's executed, seeing default data is missing,
for example).

The most well known application that does this, as of this writing, is Mozilla
Firefox, creating $HOME/Desktop, over and over again.

rmshit uses inotify to keep an eye on a directory structure, instantly removing
data upon it's creation.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README doc
%_bindir/*
%_man1dir/*

%changelog
* Tue Feb 19 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt1
- initial import by package builder

